<script setup lang="ts">
import { ref } from 'vue'
import type { VForm } from 'vuetify/components'
import { useChecktimesStore } from '../stores/checktime'

const store = useChecktimesStore()
const form = ref(false)
const refForm = ref<VForm | null>(null)
const loading = ref(false)

function onSubmit() {}
</script>

<template>
  <v-dialog v-model="store.dialog" persistent width="1024">
    <v-card>
      <v-card-title>
        <span class="text-h5">Your Time Check </span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
          <v-container>
            <v-row>
              <v-col cols="12" sm="12" md="4">
                <v-text-field
                  v-model="store.chItem.date"
                  :readonly="loading"
                  :rules="[(v) => !!v || 'Field is required']"
                  class="mb-2"
                  clearable
                  label="Date."
                ></v-text-field>
              </v-col>
              <v-col cols="12" sm="12" md="4">
                <v-text-field
                  v-model="store.chItem.clockIn"
                  :readonly="loading"
                  :rules="[(v) => !!v || 'Field is required']"
                  class="mb-2"
                  clearable
                  label="Checktin"
                ></v-text-field>
              </v-col>
              <v-col cols="12" sm="12" md="4">
                <v-text-field
                  v-model="store.chItem.clockOut"
                  :readonly="loading"
                  :rules="[(v) => !!v || 'Field is required']"
                  class="mb-2"
                  clearable
                  label="ChecktOut"
                ></v-text-field>
              </v-col>
            </v-row>
          </v-container>
          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="green-darken-1" variant="text" @click="store.dialog = false">
              close
            </v-btn>
            <v-btn
              color="green-darken-1"
              variant="text"
              @click="
                () => {
                  store.dialog = false
                  store.save()
                  store.clear()
                }
              "
            >
              save
            </v-btn>
          </v-card-actions>
        </v-form>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>
